# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rona"
version = "2.24.0"
authors = ["Tom Planche <tomplanche@proton.me>"]
build = false
include = [
    "/Cargo.toml",
    "/LICENSE-APACHE",
    "/LICENSE-MIT",
    "/README.md",
    "/src/**",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A simple CLI tool to help you with your git workflow."
homepage = "https://github.com/rona-rs/rona"
readme = "README.md"
keywords = [
    "cli",
    "git",
    "helper",
    "commands",
]
categories = ["command-line-utilities"]
license = "Apache-2.0 OR MIT"
repository = "https://github.com/rona-rs/rona"

[[bin]]
name = "rona"
path = "src/main.rs"
doc = true

[dependencies.arboard]
version = "3.6"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.clap]
version = "4.6.1"
features = ["derive"]

[dependencies.clap_complete]
version = "4.6.5"

[dependencies.colored]
version = "3.1.1"

[dependencies.config]
version = "0.14.1"

[dependencies.dirs]
version = "5.0.1"

[dependencies.glob]
version = "0.3.3"

[dependencies.indicatif]
version = "0.18"

[dependencies.inquire]
version = "0.7"

[dependencies.regex]
version = "1.12.4"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.thiserror]
version = "2.0.18"

[dependencies.toml]
version = "0.8"

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = ["env-filter"]

[dev-dependencies.assert_cmd]
version = "2.2.2"

[dev-dependencies.mockall]
version = "0.13.1"

[dev-dependencies.tempfile]
version = "3.27.0"

[lints.clippy]
expect_used = "warn"
panic = "warn"
redundant_pub_crate = "allow"
todo = "warn"
unwrap_used = "warn"

[lints.clippy.complexity]
level = "deny"
priority = -1

[lints.clippy.correctness]
level = "deny"
priority = -1

[lints.clippy.nursery]
level = "warn"
priority = -1

[lints.clippy.pedantic]
level = "deny"
priority = -1

[lints.clippy.perf]
level = "deny"
priority = -1

[lints.clippy.style]
level = "deny"
priority = -1

[lints.clippy.suspicious]
level = "deny"
priority = -1

[lints.rust]
dead_code = "deny"
missing_debug_implementations = "deny"
unreachable_pub = "deny"
unsafe_code = "forbid"
unused_imports = "deny"
unused_variables = "deny"
